include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)


add_definitions(
  -DSVG_UI="${SHARE_INSTALL_PREFIX}/ksquirrel-libs/libkls_svg.so.ui"
  -DCODEC_SVG
  -DCODEC_ANOTHER
  -DRSVG="${RSVG_COMMAND}"
  -DSVG2PNG="${BIN_INSTALL_DIR}/ksquirrel-libs-svg2png"
)


##### codecs

tde_add_library( kls_svg SHARED AUTOMOC
  SOURCES fmt_codec_png.cpp
  LINK ksquirrel-libs-shared ksquirrel-libs-png-shared
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)


##### other data

install(
  FILES libkls_svg.so.ui
  DESTINATION ${SHARE_INSTALL_PREFIX}/ksquirrel-libs
)

install(
  PROGRAMS ksquirrel-libs-svg2png
  DESTINATION ${BIN_INSTALL_DIR}
)
